package card_apple_account

import (
	"fmt"
	"testing"
	"time"

	_ "kami/internal/logic/sys_user"
	"kami/internal/service"

	"github.com/gogf/gf/v2/os/gctx"
	"github.com/shopspring/decimal"
)

func Test_sAppleAccount_GetNextUser(t *testing.T) {
	a := service.AppleAccount()
	currentUser := ""
	for i := 0; i < 3; i++ {
		fmt.Println("当前用户是：", currentUser)
		currentUser, _ = a.GetNextUser(gctx.New(), currentUser, decimal.NewFromInt(0))
		time.Sleep(time.Second * 3)
		fmt.Println("下一个用户是：", currentUser)
	}
}
